unit cursor_scene;

{$mode delphi}

interface

uses
  Classes, SysUtils,
  {ZenGL Modules}
   zglHeader
  {ZenGL Modules},
  sceneUnit;

type
  TCursor = class(TScene)
  protected
    CursorTex: zglPTexture;
  public
    procedure Init(); override;
    procedure Draw(); override;
    procedure Exit(); override;
    procedure Proc(dt: double); override;
  end;

implementation
uses var_const;
procedure TCursor.Init();
begin
  CursorTex := tex_loadFromFile('data/textures/cursor/cursor.png');
  Game.ShowScene('Cursor');
end;

procedure TCursor.Draw();
begin
  fx_SetBlendMode(FX_BLEND_NORMAL);
 // ssprite2d_draw(CursorTex, MOUSE_X, MOUSE_Y, CursorTex^.Width, CursorTex^.Height, 0);
end;

procedure TCursor.Proc(dt: double);
begin
  //Lool!
end;

procedure TCursor.Exit();
begin
  tex_del(CursorTex);
end;

end.
